import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'summary-timeline',
  templateUrl: './summary-timeline.component.html',
  styleUrls: ['./summary-timeline.component.css']
})
export class SummaryTimeLineComponent implements OnInit {

    todaysCallInfo:any;
    
    @Input('data') dashboardData : any;
    @Input('elWidth') elWidth:any;
    @Output() onDrillDown: EventEmitter<any> = new EventEmitter<any>();
    
  constructor() { }

  ngOnInit() {
      console.log("todays call Data == >", this.dashboardData);
      
      this.todaysCallInfo = this.dashboardData.data;
  }

  customerSelection($event:any){
    this.onDrillDown.emit($event);
  }

}
